- release_tracks: [ALPHA, BETA, GA]

  # This command calls a list operation behind the scenes but we can't make command_type as list
  # since it doesn't support any of the list-flags.
  command_type: GENERIC

  help_text:
    brief: Describe an asset given its resource name or asset id.
    description: Describe an asset given its resource name or asset id.
    examples: |
      Describe an asset under organization 123456, given its full resource name (https://cloud.google.com/apis/design/resource_names#full_resource_name) e.g. //storage.googleapis.com/my-bucket:

        $ {command} 123456 --resource-name="//storage.googleapis.com/my-bucket"

      Describe an asset under organization 123456, given its Cloud SCC asset id 5678

        $ {command} 123456 --asset=5678

      Describe an asset under project example-project, given its Cloud SCC asset id 5678

        $ {command} projects/example-project/assets/5678

      Describe an asset under folder 456, given its Cloud SCC asset id 5678

        $ {command} folders/456/assets/5678

  request:
    collection: securitycenter.organizations.assets
    api_version: v1
    method: list
    modify_request_hooks:
    - googlecloudsdk.command_lib.scc.assets.request_hooks:DescribeAssetReqHook

  arguments:
    additional_arguments_hook: googlecloudsdk.command_lib.scc.hooks:AppendParentArg

    params:
    - group:
        mutex: true
        required: true
        params:
        - arg_name: asset
          help_text: |
            Cloud SCC specific asset. It's derived from the the asset's relative resource name.
            See: https://cloud.google.com/apis/design/resource_names#relative_resource_name.
            For Example, for the given asset name: "organizations/123/assets/456", 456 represents
            asset id.
        - arg_name: resource-name
          help_text: |
            Asset's resource name. Full resource name of the Google Cloud Platform resource
            this asset represents. This field is immutable after create time. See:
            https://cloud.google.com/apis/design/resource_names#full_resource_name.
            For Example: "//cloudresourcemanager.googleapis.com/projects/1234567890123" could be the
            resource-name for a project.

  response:
    modify_response_hooks:
    - googlecloudsdk.command_lib.scc.assets.response_hooks:ExtractMatchingAssetFromDescribeResponse
